Bug 602644 - GDB fails to start on readonly filesystem
Summary: GDB fails to start on readonly filesystem
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb   
(Show other bugs)
Version: 13
Hardware: i686 Linux
low
medium
Target Milestone: ---
Assignee: Jan Kratochvil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:75ee644048798eca0bcc2bd9936...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-10 11:49 UTC by Piotr Kolaczek
Modified: 2010-08-06 21:03 UTC (History)
4 users (show)

Fixed In Version: gdb-7.1-32.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-06 21:03:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (5.67 KB, text/plain)
2010-06-10 11:49 UTC, Piotr Kolaczek
no flags Details

Description Piotr Kolaczek 2010-06-10 11:49:41 UTC
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: gdb -batch -ex 'set debug-file-directory /usr/lib/debug:/var/cache/abrt-di/usr/lib/debug' -ex 'file /usr/lib/thunderbird-3.0/thunderbird-bin' -ex 'core-file /var/cache/abrt/ccpp-1276164960-8012/coredump' -ex 'thread apply all backtrace 2048 full' -ex 'info sharedlib' -ex 'print (char*)__abort_msg' -ex 'print (char*)__glib_assert_msg' -ex 'info registers' -ex disassemble
component: gdb
crash_function: raise
executable: /usr/bin/gdb
global_uuid: 75ee644048798eca0bcc2bd9936188ec926f2bdc
kernel: 2.6.33.5-112.fc13.i686.PAE
package: gdb-7.1-24.fc13
rating: 4
reason: Process /usr/bin/gdb was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)

Comment 1 Piotr Kolaczek 2010-06-10 11:49:43 UTC
Created attachment 422878 [details]
File: backtrace

Comment 2 Jan Kratochvil 2010-06-11 13:20:21 UTC
GDB tries to run pex_run_in_environment("iconv -l") which aborts creating files in /tmp.  GDB should be able to run even with readonly root filesystem.

Comment 3 Tom Tromey 2010-06-21 21:56:20 UTC
Try this:

diff --git a/gdb/charset.c b/gdb/charset.c
index 8a9b5ad..e9fa6ab 100644
--- a/gdb/charset.c
+++ b/gdb/charset.c
@@ -800,7 +800,8 @@ find_charset_names (void)
   args[1] = "-l";
   args[2] = NULL;
   /* Note that we simply ignore errors here.  */
-  if (!pex_run_in_environment (child, PEX_SEARCH | PEX_STDERR_TO_STDOUT,
+  if (!pex_run_in_environment (child, (PEX_SEARCH | PEX_STDERR_TO_STDOUT
+				       | PEX_USE_PIPES),
 			       "iconv", args, environ_vector (iconv_env),
 			       NULL, NULL, &err))
     {

Comment 4 Jan Kratochvil 2010-06-24 17:31:25 UTC
Posted upstream, PEX_USE_PIPES is OK, pex_run_in_environment is not, thanks:
http://sourceware.org/ml/gdb-patches/2010-06/msg00537.html

Comment 5 Fedora Update System 2010-08-06 16:52:23 UTC
gdb-7.1-32.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gdb-7.1-32.fc13

Comment 6 Fedora Update System 2010-08-06 21:03:50 UTC
gdb-7.1-32.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.